#ifndef __Krampus_h__
#define __Krampus_h__
#include "Thinker.h"
class Krampus : public Thinker
{
private:
	void move(int dx, int dy);
	bool specialMove;
	int attackDist[4];
	bool PRANCER_POWERS_ACTIVATED;
	bool specialAttack;
public:
	Krampus(scGame *g);
	bool isMyTurn();
	void setMyTurn(bool turn);
	void doMyTurn();
	bool isEndOfTurn();
	void setMoveCount(int count);
	void render();
	void think();

	void PRANCE();
	void DANCE();
	void DASH();
	void ICE();
	void THUNDER();
};
#endif